VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
ProcessSetup Struct Reference

Audio processing setup. More...

`#include <ivstaudioprocessor.h>`

## Public Attributes
int32 | processMode
| ProcessModes
int32 | symbolicSampleSize
| SymbolicSampleSizes
int32 | maxSamplesPerBlock
| maximum number of samples per audio block
SampleRate | sampleRate
| sample rate

## Detailed Description

Audio processing setup.

See also
  IAudioProcessor::setupProcessing

## Member Data Documentation

## ◆ processMode

int32 processMode

ProcessModes

## ◆ symbolicSampleSize

int32 symbolicSampleSize

SymbolicSampleSizes

## ◆ maxSamplesPerBlock

int32 maxSamplesPerBlock

maximum number of samples per audio block

## ◆ sampleRate

SampleRate sampleRate

sample rate

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.